%define		pkgname	orange
Summary:	SynCE Orange - a tool capable to get installable MS Cabinet Files from installers
Summary(pl.UTF-8):	SynCE Orange - narzędzie zdolne do wydobycia plików MS Cabinet z instalatorów
Name:		synce-%{pkgname}
Version:	0.4
Release:	4
License:	MIT
Group:		Applications
Source0:	http://downloads.sourceforge.net/synce/lib%{pkgname}-%{version}.tar.gz
# Source0-md5:	40e9ac3de389c74a60007f7493e072a5
URL:		http://www.synce.org/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake >= 1.4
BuildRequires:	gettext-devel
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.213
BuildRequires:	synce-dynamite-libs-devel
BuildRequires:	synce-libsynce-devel
BuildRequires:	synce-unshield-libs-devel
BuildRequires:	zlib-devel
Requires:	%{name}-libs = %{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Orange is a tool for squeezing out juicy installable Microsoft Cabinet
Files from self-extracting installers for Microsoft Windows and some
other installer file formats.

%description -l pl.UTF-8
Orange jest narzędziem umożliwiającym wydobycie z samorozpakowujących
się instalatorów przeznaczonych dla Microsoft Windows plików Microsoft
Cabinet.

%package libs
Summary:	The Orange library
Summary(pl.UTF-8):	Biblioteka Orange
Group:		Libraries

%description libs
The Orange library.

%description libs -l pl.UTF-8
Biblioteka Orange.

%package libs-devel
Summary:	Header files for the Orange library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki Orange
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	synce-dynamite-libs-devel
Requires:	synce-libsynce-devel
Requires:	synce-unshield-libs-devel

%description libs-devel
Header files for the Orange library.

%description libs-devel -l pl.UTF-8
Pliki nagłówkowe biblioteki Orange.

%package libs-static
Summary:	Static Orange library
Summary(pl.UTF-8):	Statyczna biblioteka Orange
Group:		Development/Libraries
Requires:	%{name}-libs-devel = %{version}-%{release}

%description libs-static
Static Orange library.

%description libs-static -l pl.UTF-8
Statyczna biblioteka Orange.

%prep
%setup -q -n lib%{pkgname}-%{version}

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc LICENSE
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/orange.1*

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/liborange.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/liborange.so.?

%files libs-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/liborange.so
%{_libdir}/liborange.la
%{_pkgconfigdir}/liborange.pc
%{_includedir}/liborange.h
%{_includedir}/liborange_stub.h

%files libs-static
%defattr(644,root,root,755)
%{_libdir}/liborange.a
%changelog
* Sun Jul 27 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/synce-orange.git;a=log;h=master

* Sun Jul 27 2014 Jan Rękorajski <baggins@pld-linux.org> c62ba30
- release 4 (by relup.sh)

* Fri Jan 28 2011 sparky <sparky@pld-linux.org> cd9347e
- BR: gettext-devel, pkgconfig

* Thu Oct 28 2010 Elan Ruusamäe <glen@pld-linux.org> 112c3a7
- typo

* Thu Oct 28 2010 Elan Ruusamäe <glen@pld-linux.org> 6bce815
- -devel deps (from .pc file); rel 2

* Tue Jun 15 2010 arvenil <arvenil@pld-linux.org> 6c5719e
- up to 0.4
- added ghost

* Fri Oct 24 2008 Adam Gołębiowski <adamg@pld-linux.org> be67539
- applied upstream

* Fri Oct 24 2008 Adam Gołębiowski <adamg@pld-linux.org> 53bb878
- updated to 0.3.2
- pc.patch applied upstream

* Tue Dec 18 2007 Elan Ruusamäe <glen@pld-linux.org> 56cceb3
- rel 3

* Mon Nov 12 2007 Elan Ruusamäe <glen@pld-linux.org> 4baa94c
- add patch and pkgconfig file; rel 2

* Mon Nov 12 2007 Elan Ruusamäe <glen@pld-linux.org> ab93144
- generate pkgconfig file, based on svn diff

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> f98ebfb
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 9504f6c
- converted to UTF-8

* Mon Dec 11 2006 Elan Ruusamäe <glen@pld-linux.org> 9907da9
- new URL

* Sun Oct 30 2005 Jakub Bogusz <qboosh@pld-linux.org> 7604381
- deps really fixed

* Sun Oct 30 2005 Jakub Bogusz <qboosh@pld-linux.org> 4f1325d
- libs Group, deps fixes

* Sat Oct 29 2005 Michał Łukaszek <mlukaszek+pld@gmail.com> dfe990c
- new in PLD

